Skip to content

Creates a new abstract review record that does not already exist.

Request

This method will auto-generate an ID and create a new abstract review. If an ID is specified for the abstract review, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The abstract review that you would like to be saved.

abstract_idstring(Abstract)required

Abstract associated to this review

abstract_titlestring(Abstract Title)required

The title of the abstract

assigneeobject(Assignee)required

User who to which the review has been assigned

comments_to_staffstring(Comments To Staff)

Comments displayed to the association staff

comments_to_submitterstring(Comments To Submitter)

Comments displayed to abstract submitter

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date the review was generated

event_idstring(Event)required

ID associating the review to the event

idstring(ID)^[\w-_:]+$required

The unique, string identifier of this abstract review

is_activeboolean(Is Active)

Whether or not this abstract review is active

process_idstring(Process)required

ID of review process

review_round_idstring(Review Round)required

ID of review round

scorenumber, (float)(Score)

The score for this review

statusstring(Status)required

Status for this review: not started, draft, completed

Enum:"completed""draft""not started"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstractReviews/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abstract_id": "string",
    "abstract_title": "string",
    "assignee": {
      "city": "string",
      "committee_ids": [
        "string"
      ],
      "committee_membership_ids": [
        "string"
      ],
      "contact_id": "string",
      "country": "string",
      "email_address": "string",
      "first_name": "string",
      "job_title": "string",
      "last_name": "string",
      "name": "string",
      "state": "string"
    },
    "comments_to_staff": "string",
    "comments_to_submitter": "string",
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "date": "2019-08-24T14:15:22Z",
    "event_id": "string",
    "id": "string",
    "is_active": true,
    "process_id": "string",
    "review_round_id": "string",
    "score": 0.1,
    "status": "completed",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1
  }'

Responses

The abstract review was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
abstract_idstring(Abstract)required

Abstract associated to this review

abstract_titlestring(Abstract Title)required

The title of the abstract

assigneeobject(Assignee)required

User who to which the review has been assigned

comments_to_staffstring(Comments To Staff)

Comments displayed to the association staff

comments_to_submitterstring(Comments To Submitter)

Comments displayed to abstract submitter

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date the review was generated

event_idstring(Event)required

ID associating the review to the event

idstring(ID)^[\w-_:]+$required

The unique, string identifier of this abstract review

is_activeboolean(Is Active)

Whether or not this abstract review is active

process_idstring(Process)required

ID of review process

review_round_idstring(Review Round)required

ID of review round

scorenumber, (float)(Score)

The score for this review

statusstring(Status)required

Status for this review: not started, draft, completed

Enum:"completed""draft""not started"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "abstract_id": "string", "abstract_title": "string", "assignee": { "city": "string", "committee_ids": [ … ], "committee_membership_ids": [ … ], "contact_id": "string", "country": "string", "email_address": "string", "first_name": "string", "job_title": "string", "last_name": "string", "name": "string", "state": "string" }, "comments_to_staff": "string", "comments_to_submitter": "string", "custom_field_values": [ { … } ], "date": "2019-08-24T14:15:22Z", "event_id": "string", "id": "string", "is_active": true, "process_id": "string", "review_round_id": "string", "score": 0.1, "status": "completed", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }